// eslint-disable-next-line
import { createApp, VueElement } from "vue";
import "./assets/css/index.scss";
import "./style.scss";

// 路由
// import { router, hasOnlyChild } from "./router/RouteIndex";
import { router } from "./router/index.ts";

// import App from "./App.vue";
import AppMain from "./AppMain.vue";

import ElementPlus from "element-plus";
import * as ElementPlusIconsVue from "@element-plus/icons-vue";

import "element-plus/dist/index.css";

const app = createApp( AppMain );

app.use( ElementPlus );
app.use( router );

// 引入element-icon
for ( const [key, component,] of Object.entries( ElementPlusIconsVue ))
{
    app.component( key, component );
}

app.mount( "#app" );

// createApp( App ).mount( "#app" );
